var express = require('express');
const db = require('../models');
var router = express.Router();
var User = db.User;

/* GET users listing. */
router.get('/', async function(req, res, next) {
  var users = await User.findAll();
  res.send(users);
});

router.get('/get/:id', async function(req, res, next) {
  var users = await User.findByPk (req.params.id);
  res.send(users);
});

router.put('/update/:id', async function(req, res, next) {
  var users = await User.update({'email':'eve@uplink.si'}, {where:{'ID':req.params.id}});
  res.send(users);
});

router.get('/new', async function(req, res, next) {
  var users = await User.create({'name':'EVE2', 'email':'eve@2uplink.si', 'password':'some-random-password'});
  res.send(users);
});

router.get('/add', function(req, res, next) {
  res.send('respond with a resource');
});

module.exports = router;
